# -*- rpm-spec -*-
%def_disable static

Name: lm_sensors
Version: 2.10.7
Release: alt1.svn5316

Summary: Hardware Health Monitoring Tools
License: GPL
Group: System/Kernel and hardware
Url: http://www.lm-sensors.org/
Packager: lm_sensors Development Team <lm_sensors@packages.altlinux.org>

Summary(ru_RU.KOI8-R):    

Source: %name-%version.tar
Patch: %name-%version-%release.patch

Requires: libsensors = %version-%release

# Automatically added by buildreq on Sat Jun 10 2006
BuildRequires: flex libsysfs-devel

%define _unpackaged_files_terminate_build 1

%package -n libsensors
Summary: Shared library for hardware health monitoring tools
Group: System/Libraries

%package -n libsensors-devel
Summary: Development environment for hardware health monitoring tools
Group: Development/C
Requires: libsensors = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n libsensors-devel-static
Summary: Static library for developing hardware health monitoring tools
Group: Development/C
Requires: libsensors-devel = %version-%release

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring.  SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus.  Many modern
mainboards have a System Management Bus.  There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels.  There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%description -n libsensors
This package contains shared library required for user space applications
for general SMBus access and hardware monitoring.  SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus.  Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel
This package contains environment for development of user space applications
for general SMBus access and hardware monitoring.  SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus.  Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel-static
This package contains static library for development of statically linked
user space applications for general SMBus access and hardware monitoring.

%prep
%setup -q
%patch -p1

echo '# Kernel parts disabled' >kernel/Module.mk
echo '# Kernel parts disabled' >kernel/busses/Module.mk
echo 'KERNELCHIPSDIR = kernel/chips' >kernel/chips/Module.mk

%build
make user \
	LINUX=/var/empty \
	I2C_HEADERS=/var/empty \
	SYSFS_SUPPORT=1 \
	CFLAGS="$RPM_OPT_FLAGS" \
	EXLDFLAGS= \
	LIBICONV= \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir \
	LIBDIR=%_libdir

%install
%set_verify_elf_method strict

mkdir -p %buildroot%_datadir/%name

%make_install user_install \
	LINUX=/var/empty \
	I2C_HEADERS=/var/empty \
	DESTDIR=%buildroot \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir \
	MANDIR=%_mandir \
	LIBDIR=%_libdir

for prog in \
	config/grab_busses.sh \
	daemon/healthd.sh \
	hotplug/unhide_ICH_SMBus \
	init/fancontrol.init \
	matorb/displayit.pl \
	maxilife/sysinfo.sh \
	maxilife/writelcd.sh \
	mkdev/mkdev.sh
do
	install -p prog/"$prog" %buildroot%_datadir/%name/
done

install -pD prog/init/%name.init %buildroot%_initdir/%name

# Relocate linux headers
mv %buildroot%_includedir/linux %buildroot%_includedir/sensors/

%post -n libsensors -p %post_ldconfig
%postun -n libsensors -p %postun_ldconfig

%post
%post_service lm_sensors

%preun
%preun_service lm_sensors

%files
%config(noreplace) %_sysconfdir/sensors.conf
%config %_initdir/%name
%_bindir/*
%_sbindir/*
%_datadir/%name
%_man1dir/*
%_man5dir/*
%_man8dir/*
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README* TODO doc/*
%doc etc/sensors.conf.eg
%doc prog/tellerstats

%files -n libsensors
%_libdir/*.so.*
%exclude %_libdir/*.a

%files -n libsensors-devel
%_libdir/*.so
%_includedir/sensors
%_man3dir/*

%if_enabled static
%files -n libsensors-devel-static
%_libdir/*.a
%endif #static

%changelog
* Mon Sep 08 2008 Sergey Vlasov <vsu@altlinux.ru> 2.10.7-alt1.svn5316
- 2.10.7 release.
- Applied upstream changes from SVN r5316:
   + libsensors: fixed free_expr() namespace pollution introduced in 2.10.6;
   + sensors-detect: add detection of VIA VT1212 (not a sensor),
     SMSC EMC2700LPC, ITE IT8720, TI TMP411 (no driver at this time).
- /etc/init.d/lm_sensors:
   + upstream change in 2.10.7: do not start the service by default (explicit
     "chkconfig lm_sensors on" is required now).
- sensors-detect:
   + upstream change in 2.10.7: stop the lm_sensors service before detection;
   + upstream change in 2.10.7: start the lm_sensors service and enable it with
     "chkconfig lm_sensors on" after detection;
   + prompt for confirmation before starting the lm_sensors service after
     detection.

* Wed Jan 16 2008 Sergey Vlasov <vsu@altlinux.ru> 2.10.5-alt0.2
- 2.10.5 release.
- Updated old patches.
- Replaced old package build system with a new one based on the upstream
  Subversion repository imported into git; applied patches as commits in the
  package git repository.

* Mon Apr 16 2007 Sergey Vlasov <vsu@altlinux.ru> 2.10.2-alt2
- Removed unneeded files from /usr/share/lm_sensors (fixes wrong package
  dependencies).

* Wed Jan 24 2007 Sergey Vlasov <vsu@altlinux.ru> 2.10.2-alt1
- 2.10.2 release.
- sensors-detect: Added module-init-tools support (if /etc/modprobe.d exists,
  module options are written into /etc/modprobe.d/lm_sensors instead of
  /etc/modutils.d/lm_sensors).
- Fixed lm_sensors service installation (manual "chkconfig --add lm_sensors"
  is no longer needed).
- /etc/init.d/lm_sensors:
    + fixed broken restart and condrestart handling;
    + fixed errors on stop when modules which are not available for the
      current kernel are listed in /etc/sysconfig/lm_sensors.

* Fri Nov 10 2006 Sergey Vlasov <vsu@altlinux.ru> 2.10.1-alt1
- 2.10.1 release.
- Updated source URL.
- Dropped alt-tmp patch (fixed upstream).
- Updated modules_conf_sensor-generation and alt-init patches.
- Removed kernel-source-lm_sensors subpackage (was needed only for 2.4.x
  kernels, which are no longer supported)

* Sat Jun 10 2006 Sergey Vlasov <vsu@altlinux.ru> 2.10.0-alt1
- Added "%%exclude %%_libdir/*.a" to avoid unpackaged files when building
  without "--enable static".
- Terminate build if unpackaged files are found.
- Updated URL.
- Removed all %%__* macro abuse from spec.

* Sat Jun 10 2006 LAKostis <lakostis at altlinux.ru> 2.10.0-alt0.2
- 2.10.0 release.
- build with sysfs support.
- disable -static package by default

* Sun Sep 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.2-alt1
- 2.9.2 release.
- Dropped alt-urlview patch (obsolete).
- Dropped alt-ipmi-update, alt-fix-fancontrol, alt-man patches (fixed
  upstream).
- Added alt-tmp patch: use mktemp to create temporary file in pwmconfig.
- Restored changes made in 2.9.0-alt1.1 by Anton D. Kachalov <mouse@altlinux>
  which were accidentally lost in 2.9.1-alt1.

* Thu Aug 18 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.1-alt1
- 2.9.1 release.
- Updated alt-init patch:
  + lm_sensors.init: fixed help message
  + sensors-detect: generate config file with SET_LIMITS=no to avoid wiping
    out sensor chip configuration made by BIOS (sometimes this leads to nasty
    effects like immediate system shutdown, endless warning beeps, fans
    running full speed, etc.).
- Dropped alt-fix-bmcsensors patch (fixed upstream).
- Added alt-man patch: fix typos in man pages.
- Spec file cleanup.
- Dropped the %name-graph subpackage, moved tellerstats scripts to the
  documentation directory (#6423).
- Removed doc-features.pl and doc-insmod.pl scripts, which are intended for
  upstream maintainers and useless for a package user.

* Fri Jul 15 2005 Anton D. Kachalov <mouse@altlinux> 2.9.0-alt1.1
- multilib support

* Sun Jan 23 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.0-alt1
- 2.9.0 release.
- Updated alt-init patch.
- Dropped alt-no-c99 patch (fixed upstream).
- Added alt-fix-bmcsensors patch: fix bmcsensors module compilation.

* Sun Oct 10 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.8-alt1
- 2.8.8 release.
- Updated alt-init patch.
- Added alt-fix-fancontrol patch: make fancontrol.pl script parse as Perl
- Added alt-no-c99 patch: do not use C99 code in kernel modules (lm93)

* Sun Jun 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt2
- Fixed alt-init patch:
  + do not stop if some modules are not found (#3967)

* Fri Apr 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt1
- 2.8.6 release.

* Mon Mar 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.5-alt1
- 2.8.5 release.
- Dropped Patch1: makefile-fixes (fixed upstream).

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.4-alt1
- 2.8.4 release.
- Override EXLDFLAGS to avoid rpath=/usr/lib in executables, and set verify_elf
  method to strict to make sure such problems will be caught in the future.
- Added Patch5 (alt-ipmi-update): Make IPMI-related code (i2c-ipmb, i2c-ipmi)
  compile with the new IPMI patch from http://openipmi.sf.net.

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.3-alt1
- 2.8.3 release.
- Removed makefile-install-fix patch (fixed upstream).
- Removed modification of Makefiles to remove -o USER -g GROUP from install
  calls (fixed upstream).
- Updated initscript patch:
  - fixed failure handling
  - added support for SET_LIMITS="no" (do not call "sensors -s" at startup)
  - modified messages in sensors-detect to tell users about the sensors service
    instead of direct modification of startup files (#957)
  - added Linux 2.6.x kernel support (do not try to load i2c-proc on 2.6)

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.2-alt1
- 2.8.2 release.
- Do not package example initscripts under %%_datadir (causes broken
  dependencies).
- Added makefile-install-fix patch: fix makefiles for buildroot installation.
- Dropped detect_pcf8574-alt patch (unsafe - this chip cannot be detected
  reliably).
- Dropped makefile-grep-fixes patch (now kernel-headers-modules-%%flavour is
  required for kernel modules compilation).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt1
- 2.8.1 release.

* Tue Aug 19 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt6
- sensors-detect: detection of PCF8574 and PCF8574a chipsets added
- sensors-detect: generate /etc/modutils.d/lm_sensors instead of /etc/modules.conf.sensor

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt5
- check for existance of /etc/sysconfig/lm_sensors added

* Tue Jul 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt4
- generation of /etc/modules.conf.sensor added
- init script is installed

* Mon Jul 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2.8.0-alt3
- libsensors: stripped off executable bits from shared library.
- libsensors-devel:
  + packaged %_includedir/sensors directory;
  + packaged %_includedir/linux directory into %_includedir/sensors/.
- lm_sensors: removed outdated kernel dependence.
- Specfile cleanup.

* Wed Jul 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt2
- kernel-source-lm_sensors package added

* Tue Jul 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Nov 11 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.5-alt2
- Fixed url handler patch.
- Updated dependencies.
- Use subst instead of perl for build.

* Mon Nov 11 2002 Rider <rider@altlinux.ru> 2.6.5-alt1
- 2.6.5

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.3-alt1
- 2.6.3

* Mon Nov 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.6.2-alt1
- 2.6.2

* Thu Sep 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.1-alt1
- 2.6.1
- Moved static library to devel-static subpackage.

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt2
- Moved tellerstats.sh script to graph subpackage (too many requires).

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt1
- 2.6.0
- Build with kernel headers (instead of sources).

* Mon Feb 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl2mdk
- Fixed incorrect autorequires.

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl1mdk
- 2.5.5
- Libification.

* Fri Nov 24 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.4-ipl1mdk
- 2.5.4
- FHSification.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.2-ipl1mdk
- 2.5.2

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Fri May 16 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.5.0

* Sun Jan 30 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.4.5

* Wed Nov 17 1999 Dmitry V. Levin <ldv@fandra.org>
- 2.4.3

* Wed Oct 06 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Fri Sep 03 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- compiled for kernel 2.2.112
- added scripts in %prefix/lib/lm_sensors
- added man page
- mandrake adaptions

* Sun May  2 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.7

* Sun Apr 25 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.6
- hyphen changed to underscore in version number to satisfy RPM 3.0

* Mon Apr  5 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.5

* Wed Mar 24 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.4

* Tue Mar  8 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.3

* Fri Feb 26 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to lm_sensors 2.2.2 and compiled for kernel 2.2.2
- added /etc/sensors.conf
- added %post and %postun scripts


